Subject: bug#68799: 30.0.50; emacs --fg-daemon fails silently if server-start fails

From: Björn Bidar <[email-masked]>
Date: Tue, 13 Feb 2024 23:30:41 +0200

A side effect of this bug and another is that when emacs --fg-daemon is
used e.g. in combination with a systemd service. If the service
takes to long to be ready when a user calls emacsclient that it using
the standard desktop file it creates another daemon which will then
make the Emacs started with --fg-daemon fail resulting in the emacs in
the systemd service fail in circles.